<?php

namespace App\Http\Controllers;
use Cloudinary\Uploader;

use App\Models\category;
use App\Models\farm_crop;
use App\Models\CropManagementProduct;
use App\Models\farm_register;
use Illuminate\Http\Request;

use RealRashid\SweetAlert\Facades\Alert;


use App\Models\FarmUpload;
class farmUploadController extends Controller
{
    public function index()
    {
        $registers= FarmUpload::all();
        if (session('success_message')){
            Alert::toast(session('success_message'),'success')->autoClose(4000);
        }
        return view('farmUpload.index',compact('registers'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $farm_registers=farm_register::all();
      
        return view('farmUpload.create',compact('farm_registers'));
     
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

            $request->validate([
                'farm_register_id' => 'required',
                'media_type' => 'required|in:image,video'
            ]);
    

          $array = explode(",", $request->farm_register_id);

            $farmUpload = new FarmUpload();
            $farmUpload->activity_id = $array['0'];
            $farmUpload->farm_id = $array['1'];
            $farmUpload->type = $request->media_type;
 
            if ($request->media_type === 'image') {
                // $imagePath = $request->file('image_upload')->store('Public'); // Save image to the storage

                // $uploadResult =  Cloudinary()->upload($request->image_upload->getRealPath())->getSecurePath();
               

                $uploadedFileUrl = cloudinary()->upload($request->file('image_upload')->getRealPath())->getSecurePath();




                $farmUpload->file_path = $uploadedFileUrl;

               

            } elseif ($request->media_type === 'video') {
                // $videoPath = $request->file('video_upload')->store('Public'); // Save video to the storage
                $response = cloudinary()->uploadVideo($request->file('video_upload')->getRealPath())->getSecurePath();

              
                $farmUpload->file_path = $response;
            }
    
            $farmUpload->save();
    
            // return redirect()->back()->with('success', 'Media uploaded successfully.');
        return redirect()->route('farmUpload.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\farm_register  $farm_register
     * @return \Illuminate\Http\Response
     */
    public function show(farm_register $farm_register)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\farm_register  $farm_register
     * @return \Illuminate\Http\Response
     */
    public function edit(farm_register $farm_register)
    {
        return view('farmUpload.edit',compact('farm_register'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\farm_register  $farm_register
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, farm_register $farm_register)
    {
        $farm_register->update([
          $request->all()
        ]);
        return redirect()->route('farmUpload.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\farm_register  $farm_register
     * @return \Illuminate\Http\Response
     */
    public function destroy(farm_register $farm_register)
    {
        $farm_register->delete($farm_register->id);
        return redirect()->route('farmUpload.index');
    }
}
