@extends('layouts.admin')
@section('content')
<div class="card">
    <div class="card-header">
        {{ trans('cruds.transaction.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-Transaction">
                <thead>
                    <tr>
                        <th>
                            Created at
                        </th>
                        <th>
                            {{ trans('cruds.transaction.fields.asset') }}
                        </th>
                        <th>
                            {{ trans('cruds.transaction.fields.farm') }}
                        </th>
                        <th>
                            {{ trans('cruds.transaction.fields.stock') }}
                        </th>
                        <th>
                            {{ trans('cruds.transaction.fields.farmactivities') }}
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($transactions as $key => $transaction)
                        <tr data-entry-id="{{ $transaction->id }}">
                            <td>
                                {{ $transaction->created_at}}
                            </td>
                            <td>
                                {{ $transaction->asset->name ?? '' }}
                            </td>
                            <td>
                                @php
                                    $farm =App\Farm::where('id',$transaction->farm_id)->first();
                                @endphp
                                {{ $farm->name ?? '' }}
                            </td>
                            <td>
                                {{ $transaction->stock ?? '' }}
                            </td>

                            <td>
                                @if(!empty    ($transaction->activity_id))
                                    @php
                                        $farmactivity =App\farm_register::where('id',$transaction->activity_id)->first();

                                        $FarmCrop  =App\Farm_crop::where('id',$farmactivity->farm_crop_id)->first();
                                        
                                        
                                        $category  =App\Category::where('id',$farmactivity->category_id)->first();
                                        $farmname = App\farm::where('id',$FarmCrop->farm_id)->first();
                                        $cropname = App\crop::where('id',$FarmCrop->crop_id)->first();
                                    @endphp
                                        
                                        {{$farmname->name}}.-.{{$cropname->name}}.-.{{ $category->name}}
                                @else



                                @endif
                                
                                    
                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)

  $.extend(true, $.fn.dataTable.defaults, {
    order: [[ 0, 'desc' ]],
    pageLength: 100,
      columnDefs: [{
          orderable: true,
          className: '',
          targets: 0
      }]
  });
  $('.datatable-Transaction:not(.ajaxTable)').DataTable({ buttons: dtButtons })
    $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
        $($.fn.dataTable.tables(true)).DataTable()
            .columns.adjust();
    });
})

</script>
@endsection
