<?php $__env->startSection('content'); ?>

<div class="card">
    <div class="card-header">
        <?php echo e(trans('global.create')); ?> <?php echo e(trans('cruds.asset.title_singular')); ?>

    </div>

    <div class="card-body">
        <form method="POST" action="<?php echo e(route("admin.assets.store")); ?>" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label class="required" for="name"><?php echo e(trans('cruds.asset.fields.name')); ?></label>
                <input class="form-control <?php echo e($errors->has('name') ? 'is-invalid' : ''); ?>" type="text" name="name" id="name" value="<?php echo e(old('name', '')); ?>" required>
                <?php if($errors->has('name')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('name')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.asset.fields.name_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="description"><?php echo e(trans('cruds.asset.fields.description')); ?></label>
                <textarea class="form-control <?php echo e($errors->has('description') ? 'is-invalid' : ''); ?>" name="description" id="description"><?php echo e(old('description')); ?></textarea>
                <?php if($errors->has('description')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('description')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.asset.fields.description_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="price">Price:</label>
                <input class="form-control <?php echo e($errors->has('price') ? 'is-invalid' : ''); ?>"
                    type="number"
                   
                    name="price"
                    id="price"
                    value="" 

                    placeholder="0.00"
                    required>
                <?php if($errors->has('price')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('price')); ?>

                    </div>
                <?php endif; ?>
            </div>

            <div class="form-group">
                <label class="required" for="danger_level">Danger level</label>
                <input class="form-control <?php echo e($errors->has('danger_level') ? 'is-invalid' : ''); ?>" type="number" name="danger_level" id="danger_level" value="<?php echo e(old('danger_level', 0)); ?>" required>
                <?php if($errors->has('danger_level')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('danger_level')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"></span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    <?php echo e(trans('global.save')); ?>

                </button>
            </div>
        </form>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>

</script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/kofeblpy/public_html/Kofemfarmstore/resources/views/admin/assets/create.blade.php ENDPATH**/ ?>